services:
    webkul_prestashop_connector.provider.form.job_instance:
        class: '%pim_enrich.provider.form.job_instance.class%'
        arguments:
            -
                prestashop_export: pim-job-instance-prestashop-product-export
                prestashop_category_export: pim-job-instance-prestashop-category-export
                prestashop_attribute_export: pim-job-instance-prestashop-attribute-export
                prestashop_attribute_option_export: pim-job-instance-prestashop-attribute-export
                prestashop_product_model_export: pim-job-instance-prestashop-product-model-export
                prestashop_product_export: pim-job-instance-prestashop-export
        tags:
            - { name: pim_enrich.provider.form }

    webkul_prestashop_connector.configuration.service:
        public: true
        class: Webkul\PrestashopConnectorBundle\Services\ConfigurationService
        arguments: 
            - '@doctrine.orm.entity_manager'
            - '@service_container'
            - '@router'
            - '@pim_catalog.repository.category'
            - '@webkul_prestashop_connector.repository.export_mapping'
            - '@pim_api.repository.attribute'
            - '@kernel'
            - '@pim_api.repository.family'
            - '@pim_catalog.repository.attribute'
            - '@pim_catalog.repository.attribute_option'
            - '@pim_catalog.repository.product_model'
            - '@pim_catalog.repository.product'
            - '@akeneo_file_storage.file_storage.file.file_fetcher'
            - '@akeneo_file_storage.file_storage.filesystem_provider'

        tags:
            -  { name: oro_config.manager }

    webkul_prestashop_connector.media_path_transform.service:
        class: 'Webkul\PrestashopConnectorBundle\Services\MediaPathTransformer'
        arguments:
            ['@pim_catalog.repository.attribute']
    
    quick_export_prestashop:
        class: Webkul\PrestashopConnectorBundle\PrestashopConnectorBundle
        tags:
            - { name: wk_quick_export_register }